//
//  KKCountPushView.m
//  EventPettern1
//
//  Created by Tasuku Maeda on 6/26/12.
//  Copyright (c) 2012 KinkumaDesign. All rights reserved.
//

#import "KKCountPushView.h"

@interface KKCountPushView()
- (void)updateCountLabel:(int)count;
- (void)pushButtonTapped;
@end

@implementation KKCountPushView
@synthesize delegate = _delegate;

- (void)dealloc
{
    [_pushButton release];
    [_countLabel release];
    [super dealloc];
}

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {

        self.backgroundColor = [UIColor colorWithRed:210/255.0 green:231/255.0 blue:159/255.0 alpha:1.0];

        _pushCount = 0;
        
        //button
        _pushButton = [[UIButton buttonWithType:UIButtonTypeRoundedRect] retain];
        _pushButton.frame = CGRectMake((220 - 100) * 0.5, 70, 100, 40);
        [_pushButton setTitle:@"PUSH ME" forState:UIControlStateNormal];
        [_pushButton addTarget:self action:@selector(pushButtonTapped) forControlEvents:UIControlEventTouchUpInside];
        [self addSubview:_pushButton];
        
        //label
        _countLabel = [[UILabel alloc] initWithFrame:CGRectMake(0, 30, 220, 20)];
        _countLabel.backgroundColor = [UIColor clearColor];
        [_countLabel setTextAlignment:UITextAlignmentCenter];
        [self addSubview:_countLabel];
        [self updateCountLabel:_pushCount];
    }
    return self;
}

- (void)updateCountLabel:(int)count
{
    _countLabel.text = [NSString stringWithFormat:@"%d times pushed", count];
}

- (void)pushButtonTapped
{
    _pushCount++;
    [self updateCountLabel:_pushCount];

    if ([_delegate respondsToSelector:@selector(countPushView:countChange:)]){
        [_delegate countPushView:self countChange:_pushCount];
    }
}

@end
